[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashObject.Rename

Rename the object

## Declaration

Source position: contnrs.pp line 282

`public procedure TFPHashObject.Rename(`
`const ANewName: shortstring`
`);`

## Arguments

`ANewName` |  | New name for the object

## Description

Rename changes the name of the object, and notifies the hash list of this change.

## Errors

If the new name already is present in the hash list, an exception will be raised.

## See also

ChangeOwner |  | Change the list owning the object.
ChangeOwnerAndName |  | Simultaneously change the list owning the object and the name of the object.
Name |  | Current name of the object

Documentation generated on: Feb 26 2014